SoTextureCoordinateReflectionMap(3)

NAME
SoTextureCoordinateReflectionMap - The SoTextureCoordinateReflectionMap class generates 3D reflection texture coordinates.

SYNOPSIS

#include <Inventor/nodes/SoTextureCoordinateReflectionMap.h>

Inherits SoTextureCoordinateFunction.

  Public Member Functions
virtual SoType getTypeId (void) const
SoTextureCoordinateReflectionMap (void)
virtual void doAction (SoAction *action)
virtual void GLRender (SoGLRenderAction *action)
virtual void pick (SoPickAction *action)
virtual void callback (SoCallbackAction *action)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoTextureCoordinateReflectionMap ()

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoTextureCoordinateReflectionMap class generates 3D reflection texture coordinates. This node is usually used along with a SoCubeMapTexture node...

FIXME: more doc.

FILE FORMAT/DEFAULTS:

TextureCoordinateReflectionMap {
}

Constructor & Destructor Documentation

  SoTextureCoordinateReflectionMap::SoTextureCoordinateReflectionMap (void)
Constructor.

  SoTextureCoordinateReflectionMap::~SoTextureCoordinateReflectionMap () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoTextureCoordinateReflectionMap::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoTextureCoordinateReflectionMap::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoTextureCoordinateFunction.

  const SoFieldData ** SoTextureCoordinateReflectionMap::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoTextureCoordinateReflectionMap::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoTextureCoordinateFunction.

  void SoTextureCoordinateReflectionMap::doAction (SoAction * action) [virtual]
This function performs the typical operation of a node for any action.

Reimplemented from SoNode.

  void SoTextureCoordinateReflectionMap::GLRender (SoGLRenderAction * action) [virtual]
Action method for the SoGLRenderAction.

This is called during rendering traversals. Nodes influencing the rendering state in any way or want to throw geometry primitives at OpenGL override this method.

Reimplemented from SoNode.

  void SoTextureCoordinateReflectionMap::pick (SoPickAction * action) [virtual]
Action method for SoPickAction.

Does common processing for SoPickAction action instances.

Reimplemented from SoNode.

  void SoTextureCoordinateReflectionMap::callback (SoCallbackAction * action) [virtual]
Action method for SoCallbackAction.

Simply updates the state according to how the node behaves for the render action, so the application programmer can use the SoCallbackAction for extracting information about the scene graph.

Reimplemented from SoNode.

Author

Generated automatically by Doxygen for Coin from the source code.